Rename alltargets USE flag to multitarget, bug #382307. Drop some versions
authorBernard Cafarelli <voyageur@gentoo.org>
Mon, 3 Oct 2011 13:36:31 +0000 (13:36 +0000)
committerBernard Cafarelli <voyageur@gentoo.org>
Mon, 3 Oct 2011 13:36:31 +0000 (13:36 +0000)
Package-Manager: portage-2.2.0_alpha60/cvs/Linux x86_64

sys-devel/clang/ChangeLog
sys-devel/clang/clang-2.8-r3.ebuild
sys-devel/clang/clang-2.9-r1.ebuild
sys-devel/clang/clang-2.9.ebuild [deleted file]
sys-devel/clang/clang-9999.ebuild
sys-devel/clang/metadata.xml

index 9170d8608db04c01c8e0e4a41582228a59cf105b..00056a2af03cedca47df7270837a423bd6214efd 100644 (file)
@@ -1,6 +1,10 @@
 # ChangeLog for sys-devel/clang
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/clang/ChangeLog,v 1.41 2011/08/16 09:33:41 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/clang/ChangeLog,v 1.42 2011/10/03 13:36:31 voyageur Exp $
+
+  03 Oct 2011; Bernard Cafarelli <voyageur@gentoo.org> clang-2.8-r3.ebuild,
+  -clang-2.9.ebuild, clang-2.9-r1.ebuild, clang-9999.ebuild, metadata.xml:
+  Rename alltargets USE flag to multitarget, bug #382307. Drop some versions
 
 *clang-2.9-r1 (16 Aug 2011)
 
index f1b8664d54246641c7dfb19eda951a20f1bbb000..88ba8c8e784f37ed829b0f306ed38ee5f25f96e7 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/clang/clang-2.8-r3.ebuild,v 1.4 2011/07/08 10:10:59 ssuominen Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/clang/clang-2.8-r3.ebuild,v 1.5 2011/10/03 13:36:31 voyageur Exp $
 
 EAPI=3
 
@@ -19,11 +19,11 @@ SRC_URI="http://llvm.org/releases/${PV}/llvm-${PV}.tgz -> llvm-${PV}-r1.tgz
 LICENSE="UoI-NCSA"
 SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
-IUSE="alltargets debug +static-analyzer system-cxx-headers test"
+IUSE="debug multitarget +static-analyzer system-cxx-headers test"
 
 # Note: for LTO support, clang will depend on binutils with gold plugins, and LLVM built after that - http://llvm.org/docs/GoldPlugin.html
 DEPEND="static-analyzer? ( dev-lang/perl )"
-RDEPEND="~sys-devel/llvm-${PV}[alltargets=]"
+RDEPEND="~sys-devel/llvm-${PV}[multitarget=]"
 
 S="${WORKDIR}/llvm-${PV}"
 
@@ -92,7 +92,7 @@ src_configure() {
                        --with-c-include-dirs=${EPREFIX}/usr/include:/usr/include"
        fi
 
-       if use alltargets; then
+       if use multitarget; then
                CONF_FLAGS="${CONF_FLAGS} --enable-targets=all"
        else
                CONF_FLAGS="${CONF_FLAGS} --enable-targets=host-only"
index 01e877e53ebda965cd46a9dd912365cae6848c59..bb830c68d6439ed0ad7b2edbdb2f155fac541c60 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/clang/clang-2.9-r1.ebuild,v 1.1 2011/08/16 09:33:41 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/clang/clang-2.9-r1.ebuild,v 1.2 2011/10/03 13:36:31 voyageur Exp $
 
 EAPI=3
 
@@ -18,11 +18,11 @@ SRC_URI="http://llvm.org/releases/${PV}/llvm-${PV}.tgz
 LICENSE="UoI-NCSA"
 SLOT="0"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
-IUSE="alltargets debug +static-analyzer +system-cxx-headers test"
+IUSE="debug multitarget +static-analyzer +system-cxx-headers test"
 
 # Note: for LTO support, clang will depend on binutils with gold plugins, and LLVM built after that - http://llvm.org/docs/GoldPlugin.html
 DEPEND="static-analyzer? ( dev-lang/perl )"
-RDEPEND="~sys-devel/llvm-${PV}[alltargets=]"
+RDEPEND="~sys-devel/llvm-${PV}[multitarget=]"
 
 S="${WORKDIR}/llvm-${PV}"
 
@@ -89,7 +89,7 @@ src_configure() {
                        --with-c-include-dirs=${EPREFIX}/usr/include:/usr/include"
        fi
 
-       if use alltargets; then
+       if use multitarget; then
                CONF_FLAGS="${CONF_FLAGS} --enable-targets=all"
        else
                CONF_FLAGS="${CONF_FLAGS} --enable-targets=host-only"
diff --git a/sys-devel/clang/clang-2.9.ebuild b/sys-devel/clang/clang-2.9.ebuild
deleted file mode 100644 (file)
index 926ecb3..0000000
+++ /dev/null
@@ -1,195 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/clang/clang-2.9.ebuild,v 1.3 2011/07/08 10:10:59 ssuominen Exp $
-
-EAPI=3
-
-RESTRICT_PYTHON_ABIS="3.*"
-SUPPORT_PYTHON_ABIS="1"
-
-inherit eutils multilib python
-
-DESCRIPTION="C language family frontend for LLVM"
-HOMEPAGE="http://clang.llvm.org/"
-# Fetching LLVM as well: see http://llvm.org/bugs/show_bug.cgi?id=4840
-SRC_URI="http://llvm.org/releases/${PV}/llvm-${PV}.tgz
-       http://llvm.org/releases/${PV}/${P}.tgz"
-
-LICENSE="UoI-NCSA"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
-IUSE="alltargets debug +static-analyzer +system-cxx-headers test"
-
-# Note: for LTO support, clang will depend on binutils with gold plugins, and LLVM built after that - http://llvm.org/docs/GoldPlugin.html
-DEPEND="static-analyzer? ( dev-lang/perl )"
-RDEPEND="~sys-devel/llvm-${PV}[alltargets=]"
-
-S="${WORKDIR}/llvm-${PV}"
-
-src_prepare() {
-       mv "${WORKDIR}"/clang-${PV} "${S}"/tools/clang || die "clang source directory not found"
-
-       # Same as llvm doc patches
-       epatch "${FILESDIR}"/${PN}-2.7-fixdoc.patch
-
-       # Fix toolchain lookup for Darwin/Prefix.
-       epatch "${FILESDIR}"/${PN}-2.9-darwin-prefix.patch
-       sed -e "s|@GENTOO_PORTAGE_CHOST_ARCH@|${CHOST%%-darwin*}-darwin|g" \
-               -e "s|@GENTOO_PORTAGE_CHOST@|${CHOST}|g" \
-               -e "s|@GENTOO_PORTAGE_EPREFIX@|${EPREFIX}|g" \
-               -i tools/clang/lib/Driver/ToolChains.cpp \
-               || die "fixing toolchain lookup"
-
-       # multilib-strict
-       sed -e "/PROJ_headers/s#lib/clang#$(get_libdir)/clang#" \
-               -i tools/clang/lib/Headers/Makefile \
-               || die "clang Makefile failed"
-       # fix the static analyzer for in-tree install
-       sed -e 's/import ScanView/from clang \0/'  \
-               -i tools/clang/tools/scan-view/scan-view \
-               || die "scan-view sed failed"
-       sed -e "/scanview.css\|sorttable.js/s#\$RealBin#${EPREFIX}/usr/share/${PN}#" \
-               -i tools/clang/tools/scan-build/scan-build \
-               || die "scan-build sed failed"
-       # Specify python version
-       python_convert_shebangs 2 tools/clang/tools/scan-view/scan-view
-
-       # From llvm src_prepare
-       einfo "Fixing install dirs"
-       sed -e 's,^PROJ_docsdir.*,PROJ_docsdir := $(PROJ_prefix)/share/doc/'${PF}, \
-               -e 's,^PROJ_etcdir.*,PROJ_etcdir := '"${EPREFIX}"'/etc/llvm,' \
-               -e 's,^PROJ_libdir.*,PROJ_libdir := $(PROJ_prefix)/'$(get_libdir)/llvm, \
-               -i Makefile.config.in || die "Makefile.config sed failed"
-
-       einfo "Fixing rpath"
-       sed -e 's,\$(RPATH) -Wl\,\$(\(ToolDir\|LibDir\)),$(RPATH) -Wl\,'"${EPREFIX}"/usr/$(get_libdir)/llvm, \
-               -i Makefile.rules || die "rpath sed failed"
-}
-
-src_configure() {
-       local CONF_FLAGS="--enable-shared"
-
-       if use debug; then
-               CONF_FLAGS="${CONF_FLAGS} --disable-optimized"
-               einfo "Note: Compiling LLVM in debug mode will create huge and slow binaries"
-               # ...and you probably shouldn't use tmpfs, unless it can hold 900MB
-       else
-               CONF_FLAGS="${CONF_FLAGS} \
-                       --enable-optimized \
-                       --disable-assertions \
-                       --disable-expensive-checks"
-       fi
-
-       # Setup the search path to include the Prefix includes
-       if use prefix ; then
-               CONF_FLAGS="${CONF_FLAGS} \
-                       --with-c-include-dirs=${EPREFIX}/usr/include:/usr/include"
-       fi
-
-       if use alltargets; then
-               CONF_FLAGS="${CONF_FLAGS} --enable-targets=all"
-       else
-               CONF_FLAGS="${CONF_FLAGS} --enable-targets=host-only"
-       fi
-
-       if use amd64; then
-               CONF_FLAGS="${CONF_FLAGS} --enable-pic"
-       fi
-
-       # Skip llvm-gcc parts even if installed
-       CONF_FLAGS="${CONF_FLAGS} --with-llvmgccdir=/dev/null"
-
-       if use system-cxx-headers; then
-               # Try to get current gcc headers path
-               local CXX_PATH=$(gcc-config -X| cut -d: -f1 | sed 's,/include/g++-v4$,,')
-               CONF_FLAGS="${CONF_FLAGS} --with-c-include-dirs=/usr/include:${CXX_PATH}/include"
-               CONF_FLAGS="${CONF_FLAGS} --with-cxx-include-root=${CXX_PATH}/include/g++-v4"
-               CONF_FLAGS="${CONF_FLAGS} --with-cxx-include-arch=$CHOST"
-               if has_multilib_profile; then
-                       CONF_FLAGS="${CONF_FLAGS} --with-cxx-include-32bit-dir=32"
-               fi
-       fi
-
-       econf ${CONF_FLAGS} || die "econf failed"
-}
-
-src_compile() {
-       emake VERBOSE=1 KEEP_SYMBOLS=1 REQUIRES_RTTI=1 clang-only || die "emake failed"
-}
-
-src_test() {
-       cd "${S}"/test || die "cd failed"
-       emake site.exp || die "updating llvm site.exp failed"
-
-       cd "${S}"/tools/clang || die "cd clang failed"
-
-       echo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-       if ! emake -j1 VERBOSE=1 test; then
-               has test $FEATURES && die "Make test failed. See above for details."
-               has test $FEATURES || eerror "Make test failed. See above for details."
-       fi
-}
-
-src_install() {
-       cd "${S}"/tools/clang || die "cd clang failed"
-       emake KEEP_SYMBOLS=1 DESTDIR="${D}" install || die "install failed"
-
-       if use static-analyzer ; then
-               dobin tools/scan-build/ccc-analyzer
-               dosym ccc-analyzer /usr/bin/c++-analyzer
-               dobin tools/scan-build/scan-build
-
-               insinto /usr/share/${PN}
-               doins tools/scan-build/scanview.css
-               doins tools/scan-build/sorttable.js
-
-               cd tools/scan-view || die "cd scan-view failed"
-               dobin scan-view
-               install-scan-view() {
-                       insinto "$(python_get_sitedir)"/clang
-                       doins Reporter.py Resources ScanView.py startfile.py
-                       touch "${ED}"/"$(python_get_sitedir)"/clang/__init__.py
-               }
-               python_execute_function install-scan-view
-       fi
-
-       # Fix install_names on Darwin.  The build system is too complicated
-       # to just fix this, so we correct it post-install
-       if [[ ${CHOST} == *-darwin* ]] ; then
-               for lib in libclang.dylib ; do
-                       ebegin "fixing install_name of $lib"
-                       install_name_tool -id "${EPREFIX}"/usr/lib/llvm/${lib} \
-                               "${ED}"/usr/lib/llvm/${lib}
-                       eend $?
-               done
-               for f in usr/bin/{c-index-test,clang} usr/lib/llvm/libclang.dylib ; do
-                       ebegin "fixing references in ${f##*/}"
-                       install_name_tool \
-                               -change "@rpath/libclang.dylib" \
-                                       "${EPREFIX}"/usr/lib/llvm/libclang.dylib \
-                               -change "@executable_path/../lib/libLLVM-${PV}.dylib" \
-                                       "${EPREFIX}"/usr/lib/llvm/libLLVM-${PV}.dylib \
-                               -change "${S}"/Release/lib/libclang.dylib \
-                                       "${EPREFIX}"/usr/lib/llvm/libclang.dylib \
-                               "${ED}"/$f
-                       eend $?
-               done
-       fi
-}
-
-pkg_postinst() {
-       python_mod_optimize clang
-       if use system-cxx-headers; then
-               elog "C++ headers search path is hardcoded to the active gcc profile one"
-               elog "If you change the active gcc profile, or update gcc to a new version,"
-               elog "you will have to remerge this package to update the search path"
-       else
-               elog "If clang++ fails to find C++ headers on your system,"
-               elog "you can remerge clang with USE=system-cxx-headers to use C++ headers"
-               elog "from the active gcc profile"
-       fi
-}
-
-pkg_postrm() {
-       python_mod_cleanup clang
-}
index f79fa44d4a1802ef3e37d1d5c73b068a13e944e2..f163db75862cafc25762aba7434b3a2950e4c7d3 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/clang/clang-9999.ebuild,v 1.15 2011/07/08 10:10:59 ssuominen Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/clang/clang-9999.ebuild,v 1.16 2011/10/03 13:36:31 voyageur Exp $
 
 EAPI=3
 
@@ -17,11 +17,11 @@ ESVN_REPO_URI="http://llvm.org/svn/llvm-project/cfe/trunk"
 LICENSE="UoI-NCSA"
 SLOT="0"
 KEYWORDS=""
-IUSE="alltargets debug +static-analyzer +system-cxx-headers test"
+IUSE="debug multitarget +static-analyzer +system-cxx-headers test"
 
 # Note: for LTO support, clang will depend on binutils with gold plugins, and LLVM built after that - http://llvm.org/docs/GoldPlugin.html
 DEPEND="static-analyzer? ( dev-lang/perl )"
-RDEPEND="~sys-devel/llvm-${PV}[alltargets=]"
+RDEPEND="~sys-devel/llvm-${PV}[multitarget=]"
 
 S="${WORKDIR}/llvm"
 
@@ -81,7 +81,7 @@ src_configure() {
                        --with-c-include-dirs=${EPREFIX}/usr/include:/usr/include"
        fi
 
-       if use alltargets; then
+       if use multitarget; then
                CONF_FLAGS="${CONF_FLAGS} --enable-targets=all"
        else
                CONF_FLAGS="${CONF_FLAGS} --enable-targets=host-only"
index d9200e8d1fd54caf9e60ddb9ce9cfb043d4fc4e6..c52116a901eff9d8dff11af4029d59d59cbf6a60 100644 (file)
@@ -28,7 +28,7 @@ A simple and hackable code base
 A single unified parser for C, Objective C, C++, and Objective C++
 Conformance with C/C++/ObjC and their variants</longdescription>
        <use>
-               <flag name='alltargets'>Build all host targets (default: host only)</flag>
+               <flag name='multitarget'>Build all host targets (default: host only)</flag>
                <flag name='static-analyzer'>Install the Clang static analyzer</flag>
                <flag name='system-cxx-headers'>By default, clang++ searchs for C++ headers in a series of hardcoded paths. Enabling this flag will force it to use the active gcc profile ones</flag>
        </use>